Subject: Re: [PATCH v3 2/2] tests(mingw): avoid very slow `mingw_test_cmp`

From: Junio C Hamano <[email-masked]>
Date: Mon, 21 Nov 2022 12:17:02 +0900

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Junio's pointing out that a test that would do:
>
> 	! diff a b
>
> Is pretty stupid, why would you want to show a diff of differences, if
> you're expecting it to be different? Just use:
>
> 	! cmp a b
>
> Or something. That's correct. So I think probably those "! test_cmp"
> uses would be good candidates for some clean-up to make the test suite
> pretty.

Yes.

Besides, "the outcome must be different from this other file" is a
very sloppy thing to say in a test.  It rarely is OK for our output
to be merely different from one "wrong" output.  Tests should
specify in what way the output must be different from the "wrong"
example, at least.